Mac Building up-to-date Colloquy from trunk

eprillios

macrumors newbie
Original poster
Jan 29, 2012
4
0
The Netherlands
Hey there, :)

I've got a Mac for the first time and because I use IRC frequently I downloaded Colloquy. But because there are some bugs in the usual download I wanted to build Colloquy from the trunk. I'm no developer and I'm new to the Mac, so I didn't get it build successfully. I've already downloaded the source from the trunk using this guide on their site and downloaded Xcode and F-Script, but I couldn't find how to get a working application from the sources. I'll be happy to know how I must build Colloquy from the trunk.

Thanks in advance.
 

wrldwzrd89

macrumors G5
Jun 6, 2003
12,107
75
Solon, OH
Hello! I just tried to build Colloquy from the trunk. I am getting a build error also. I am using Xcode 4.2 with Lion - which Xcode are you using?

The error I get is: 'sandbox/private.h' file not found in /usr/include/sandbox.h

Commenting out the offending line in the file that includes sandbox.h causes 2 compiler warnings to appear about declarations being invalid.
 
Comment

eprillios

macrumors newbie
Original poster
Jan 29, 2012
4
0
The Netherlands
Thanks all, I will check if it works. I'm using Textual now, but it's still good to know how to get it work. :) I was using the latest Xcode from the Mac App Store, by the way. ;-)
 
Comment

Similar threads

  • ApostolisApo
0
Replies
0
Views
723
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.